Get an Allowed IP
curl --request GET \
--url https://api.us.lexful.app/v1/allowed_ips/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'import requests
url = "https://api.us.lexful.app/v1/allowed_ips/{id}"
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};
fetch('https://api.us.lexful.app/v1/allowed_ips/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip_address": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Accounts
Get an Allowed IP
Get a specific allowed IP address by ID
GET
/
v1
/
allowed_ips
/
{id}
Get an Allowed IP
Authorizations
Bearer token
Account ID
Path Parameters
Allowed IP ID
Response
Default Response
Allowed IP unique identifier
IP address or CIDR range (e.g., 192.168.1.1 or 10.0.0.0/8)
Whether this allowed IP is active
Creation timestamp
Last update timestamp
User ID who created this allowed IP
User ID who last updated this allowed IP
Optional description of this IP address
Was this page helpful?
⌘I